apn:install generator not working on rails 2.3.14 #48

Open
arirusso opened this Issue May 21, 2012 · 1 comment

Comments

Projects
None yet
2 participants

Hi,

I guess the first question is - is Rails 2 no longer supported? If not, I'd recommend noting in the readme

my environment is

apn_on_rails 0.5.1 gem via bundler 1.1.3
Rails 2.3.14
Ruby 1.9.2-p290

I have require "apn_on_rails" in an initializer
I have require "apn_on_rails_tasks" in the Rakefile

~/my_app: bundle exec ./script/generate apn_on_rails:install
Couldn't find 'apn_on_rails:install' generator

The gem appears to be loaded in some form

~/my_app: bundle exec ./script/console
Loading development environment (Rails 2.3.14)  
>> APN.class
=> Module

The document is wrong, may be it for Rails3 (which i test but not work yet too).

Please try

ruby script/generate apn_migrations
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment